WaveFMT Struct Reference

`#include <SDL_wave.h>`

## Data Fields

Uint16 | encoding
Uint16 | channels
Uint32 | frequency
Uint32 | byterate
Uint16 | blockalign
Uint16 | bitspersample

## Detailed Description

Definition at line 45 of file SDL_wave.h.

## Field Documentation

Uint16 WaveFMT::bitspersample

Definition at line 56 of file SDL_wave.h.

Referenced by InitIMA_ADPCM(), InitMS_ADPCM(), and SDL_LoadWAV_RW().

Uint16 WaveFMT::blockalign

Definition at line 55 of file SDL_wave.h.

Referenced by IMA_ADPCM_decode(), InitIMA_ADPCM(), InitMS_ADPCM(), and MS_ADPCM_decode().

Uint32 WaveFMT::byterate

Definition at line 54 of file SDL_wave.h.

Referenced by InitIMA_ADPCM(), and InitMS_ADPCM().

Uint16 WaveFMT::channels

Definition at line 52 of file SDL_wave.h.

Referenced by IMA_ADPCM_decode(), InitIMA_ADPCM(), InitMS_ADPCM(), MS_ADPCM_decode(), and SDL_LoadWAV_RW().

Uint16 WaveFMT::encoding

Definition at line 51 of file SDL_wave.h.

Referenced by InitIMA_ADPCM(), InitMS_ADPCM(), and SDL_LoadWAV_RW().

Uint32 WaveFMT::frequency

Definition at line 53 of file SDL_wave.h.

Referenced by InitIMA_ADPCM(), InitMS_ADPCM(), and SDL_LoadWAV_RW().

The documentation for this struct was generated from the following file:

- src/audio/SDL_wave.h